Bug 2007969

Summary: Update to 2.0.16 broke select keyboard keys under Wayland
Product: [Fedora] Fedora Reporter: Tad <tad>
Component: SDL2Assignee: Igor Raits <igor.raits>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: dchen, igor.raits, ngompa13, spotrh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: SDL2-2.0.16-3.fc35 SDL2-2.0.16-3.fc34 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-29 00:20:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tad 2021-09-26 15:41:08 UTC
Description of problem:
The upgrade from 2.0.14 to 2.0.16 had many Wayland related changes.

Version-Release number of selected component (if applicable):
34, 35

How reproducible:
Every time

Steps to Reproduce:
1. Open a program using SDL2
2. Try to use the numpad keys
3. See that don't do what you expect

Actual results:
Keys do nothing or something else

Expected results:
Keys perform correct action

Additional info:
This has been fixed upstream https://github.com/libsdl-org/SDL/pull/4773
Please cherrypick the patcheset into 34 and 35.

Comment 1 Fedora Update System 2021-09-26 19:01:51 UTC
FEDORA-2021-bdb5f837c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bdb5f837c9

Comment 2 Fedora Update System 2021-09-28 01:16:51 UTC
FEDORA-2021-d890080041 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d890080041`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d890080041

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-09-28 01:18:56 UTC
FEDORA-2021-bdb5f837c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bdb5f837c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bdb5f837c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-09-29 00:20:07 UTC
FEDORA-2021-bdb5f837c9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-10-05 16:17:35 UTC
FEDORA-2021-d890080041 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.